import jingrow


def execute():
	if jingrow.db.table_exists("Prepared Report"):
		jingrow.reload_pg("core", "pagetype", "prepared_report")
		prepared_reports = jingrow.get_all("Prepared Report")
		for report in prepared_reports:
			jingrow.delete_pg("Prepared Report", report.name)
